// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdPluginCore",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdPluginCore", targets: ["WebIdPluginCoreWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ui-components-spm.git",
            .upToNextMinor(from: "8.4.5")
        ),
        .package(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-spm.git",
            .upToNextMinor(from: "11.3.2")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4/de/webid-solutions/WebIdPluginCore/13.5.1/WebIdPluginCore.framework-v13.5.1.zip",
            checksum: "48e84fbfe8990f154ccf9fd91b414024c5c17b322bafe7d000aa09c6b5fbdf8d"
        ),
        .target(
            name: "WebIdPluginCoreWrapper",
            dependencies: [
                .target(name: "WebIdPluginCore"),
                // [target dependecies here]
                
                .product(name: "WebIdUiKitComponents", package: "WebIdUiKitComponents"),
                .product(name: "WebIdIosSdk", package: "WebIdIosSdk"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
